Bug 405723 - Crash when adding in multiple frame columns.
Summary: Crash when adding in multiple frame columns.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2019-03-21 15:10 UTC by wolthera
Modified: 2019-05-17 08:13 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2019-03-21 15:10:58 UTC
Application: krita (4.2.0-pre-alpha (git 9429230))

Qt Version: 5.12.0
Frameworks Version: 5.56.0
Operating System: Linux 4.15.0-46-generic x86_64
Distribution: KDE neon User Edition 5.15

-- Information about the crash:
- What I was doing when the application crashed:

1. Animation with frames.
2. Rightclick timeline header for context menu.
3. Insert multiple columns. 4 columns, timing 1, frames 'before/left'.
4. Apply. You will see the new frames briefly, and then a crash.

-- Backtrace:
Application: Krita (krita), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f237ea35880 (LWP 3487))]

Thread 16 (Thread 0x7f2302d0c700 (LWP 26429)):
[KCrash Handler]
#7  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#8  0x00007f2371212801 in __GI_abort () at abort.c:79
#9  0x00007f2371be7e7b in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f23735505f3 in kis_assert_common (assertion=0x7f2374e56100 "m_frames.contains(frameId)", file=0x7f2374e55cc0 "/home/wolthera/krita/src/libs/image/kis_paint_device.cc", line=466, throwException=false, isIgnorable=false) at /home/wolthera/krita/src/libs/global/kis_assert.cpp:90
#11 0x00007f2373550db0 in kis_assert_recoverable (assertion=0x7f2374e56100 "m_frames.contains(frameId)", file=0x7f2374e55cc0 "/home/wolthera/krita/src/libs/image/kis_paint_device.cc", line=466) at /home/wolthera/krita/src/libs/global/kis_assert.cpp:103
#12 0x00007f23749f7116 in KisPaintDevice::Private::currentFrameData (this=0x60d00016b9c0) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:466
#13 0x00007f23749f7550 in KisPaintDevice::Private::currentNonLodData (this=0x60d00016b9c0) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:485
#14 0x00007f23749f7a17 in KisPaintDevice::Private::currentData (this=0x60d00016b9c0) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:519
#15 0x00007f23749f295e in KisPaintDevice::Private::dataManager (this=0x60d00016b9c0) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:120
#16 0x00007f23749e02c2 in KisPaintDevice::defaultPixel (this=0x604001a78850) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:1463
#17 0x00007f23749fc411 in KisPaintDevice::Private::KisPaintDeviceStrategy::extent (this=0x6030025bf2e0) at /home/wolthera/krita/src/libs/image/kis_paint_device_strategies.h:55
#18 0x00007f23749de493 in KisPaintDevice::extent (this=0x604001a78850) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:1207
#19 0x00007f23749ef589 in KisPaintDeviceCache::exactBoundsAmortized (this=0x61000040ed48) at /home/wolthera/krita/src/libs/image/kis_paint_device_cache.h:74
#20 0x00007f23749de65f in KisPaintDevice::exactBoundsAmortized (this=0x604001a78850) at /home/wolthera/krita/src/libs/image/kis_paint_device.cc:1227
#21 0x00007f23746ac948 in KisLayer::changeRect (this=0x607000351f60, rect=..., pos=KisNode::N_FILTHY) at /home/wolthera/krita/src/libs/image/kis_layer.cc:922
#22 0x00007f23746c3252 in KisLayerProjectionPlane::changeRect (this=0x60200005e330, rect=..., pos=KisNode::N_FILTHY) at /home/wolthera/krita/src/libs/image/kis_layer_projection_plane.cpp:114
#23 0x00007f237459da7f in KisBaseRectsWalker::calculateChecksum (leaf=..., requestedRect=...) at /home/wolthera/krita/src/libs/image/kis_base_rects_walker.h:416
#24 0x00007f23745f0b40 in KisBaseRectsWalker::checksumValid (this=0x6110016b9710) at /home/wolthera/krita/src/libs/image/kis_base_rects_walker.h:171
#25 0x00007f23745ea178 in KisSimpleUpdateQueue::processOneJob (this=0x611000b27548, updaterContext=...) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:114
#26 0x00007f23745e9f31 in KisSimpleUpdateQueue::processQueue (this=0x611000b27548, updaterContext=...) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:95
#27 0x00007f23745fc3fc in KisUpdateScheduler::tryProcessUpdatesQueue (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:441
#28 0x00007f23745fbfb7 in KisUpdateScheduler::processQueues (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:398
#29 0x00007f23745fcc2a in KisUpdateScheduler::spareThreadAppeared (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:467
#30 0x00007f23745b0bdc in KisUpdaterContext::jobFinished (this=0x611000b275a0) at /home/wolthera/krita/src/libs/image/kis_updater_context.cpp:296
#31 0x00007f2374c48076 in KisUpdateJobItem::run (this=0x60c002517880) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:100
#32 0x00007f2371c10352 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#33 0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#34 0x00007f2370bae6db in start_thread (arg=0x7f2302d0c700) at pthread_create.c:463
#35 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f2303d0e700 (LWP 26428)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f2371c0bec5 in QBasicMutex::lockInternal() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f23741e023e in QMutexLocker::QMutexLocker (this=0x7f2303d0db10, m=0x611000b27550) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmutex.h:206
#3  0x00007f23745ed5d7 in KisSimpleUpdateQueue::optimize (this=0x611000b27548) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:324
#4  0x00007f23745fcc0f in KisUpdateScheduler::doSomeUsefulWork (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:462
#5  0x00007f23745b0b7a in KisUpdaterContext::doSomeUsefulWork (this=0x611000b275a0) at /home/wolthera/krita/src/libs/image/kis_updater_context.cpp:290
#6  0x00007f2374c4803b in KisUpdateJobItem::run (this=0x60c001cbf7c0) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:97
#7  0x00007f2371c10352 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f2370bae6db in start_thread (arg=0x7f2303d0e700) at pthread_create.c:463
#10 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f2306031700 (LWP 26427)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f2371c0bec5 in QBasicMutex::lockInternal() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f23741e023e in QMutexLocker::QMutexLocker (this=0x7f2306030b10, m=0x611000b27550) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmutex.h:206
#3  0x00007f23745ed5d7 in KisSimpleUpdateQueue::optimize (this=0x611000b27548) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:324
#4  0x00007f23745fcc0f in KisUpdateScheduler::doSomeUsefulWork (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:462
#5  0x00007f23745b0b7a in KisUpdaterContext::doSomeUsefulWork (this=0x611000b275a0) at /home/wolthera/krita/src/libs/image/kis_updater_context.cpp:290
#6  0x00007f2374c4803b in KisUpdateJobItem::run (this=0x60c001cbf880) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:97
#7  0x00007f2371c10352 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f2370bae6db in start_thread (arg=0x7f2306031700) at pthread_create.c:463
#10 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f230350d700 (LWP 26426)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f2371c0bec5 in QBasicMutex::lockInternal() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f23741e023e in QMutexLocker::QMutexLocker (this=0x7f230350cb10, m=0x611000b27550) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmutex.h:206
#3  0x00007f23745ed5d7 in KisSimpleUpdateQueue::optimize (this=0x611000b27548) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:324
#4  0x00007f23745fcc0f in KisUpdateScheduler::doSomeUsefulWork (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:462
#5  0x00007f23745b0b7a in KisUpdaterContext::doSomeUsefulWork (this=0x611000b275a0) at /home/wolthera/krita/src/libs/image/kis_updater_context.cpp:290
#6  0x00007f2374c4803b in KisUpdateJobItem::run (this=0x60c001cbfd00) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:97
#7  0x00007f2371c10352 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f2370bae6db in start_thread (arg=0x7f230350d700) at pthread_create.c:463
#10 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f2301a95700 (LWP 26425)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f2371c0bec5 in QBasicMutex::lockInternal() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f23741e023e in QMutexLocker::QMutexLocker (this=0x7f2301a94b10, m=0x611000b27550) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmutex.h:206
#3  0x00007f23745ed5d7 in KisSimpleUpdateQueue::optimize (this=0x611000b27548) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:324
#4  0x00007f23745fcc0f in KisUpdateScheduler::doSomeUsefulWork (this=0x6130010cc460) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:462
#5  0x00007f23745b0b7a in KisUpdaterContext::doSomeUsefulWork (this=0x611000b275a0) at /home/wolthera/krita/src/libs/image/kis_updater_context.cpp:290
#6  0x00007f2374c4803b in KisUpdateJobItem::run (this=0x60c001cbf940) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:97
#7  0x00007f2371c10352 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f2370bae6db in start_thread (arg=0x7f2301a95700) at pthread_create.c:463
#10 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f2301294700 (LWP 26424)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f2371c0bec5 in QBasicMutex::lockInternal() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f23741e023e in QMutexLocker::QMutexLocker (this=0x7f2301292320, m=0x611000b27550) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qmutex.h:206
#3  0x00007f23745ece9d in KisSimpleUpdateQueue::tryMergeJob (this=0x611000b27548, node=..., rc=..., cropRect=..., levelOfDetail=0, type=KisBaseRectsWalker::UPDATE) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:287
#4  0x00007f23745eb6d7 in KisSimpleUpdateQueue::addJob (this=0x611000b27548, node=..., rects=..., cropRect=..., levelOfDetail=0, type=KisBaseRectsWalker::UPDATE) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:192
#5  0x00007f23745ea908 in KisSimpleUpdateQueue::addUpdateJob (this=0x611000b27548, node=..., rects=..., cropRect=..., levelOfDetail=0) at /home/wolthera/krita/src/libs/image/kis_simple_update_queue.cpp:160
#6  0x00007f23745f962b in KisUpdateScheduler::updateProjection (this=0x6130010cc460, node=..., rects=..., cropRect=...) at /home/wolthera/krita/src/libs/image/kis_update_scheduler.cpp:155
#7  0x00007f23746538c8 in KisImage::requestProjectionUpdateImpl (this=0x60b002ca1cb0, node=0x607000352350, rects=..., cropRect=...) at /home/wolthera/krita/src/libs/image/kis_image.cc:1704
#8  0x00007f2374653ff1 in KisImage::requestProjectionUpdate (this=0x60b002ca1cb0, node=0x607000352350, rects=..., resetAnimationCache=true) at /home/wolthera/krita/src/libs/image/kis_image.cc:1737
#9  0x00007f23749c520b in KisNode::setDirty (this=0x607000352350, rects=...) at /home/wolthera/krita/src/libs/image/kis_node.cpp:590
#10 0x00007f23749c55ca in KisNode::setDirty (this=0x607000352350, rect=...) at /home/wolthera/krita/src/libs/image/kis_node.cpp:601
#11 0x00007f2374b5f796 in KisKeyframeChannel::requestUpdate (this=0x6030032ea9b0, range=..., rect=...) at /home/wolthera/krita/src/libs/image/kis_keyframe_channel.cpp:609
#12 0x00007f2374b59687 in KisKeyframeChannel::insertKeyframeLogical (this=0x6030032ea9b0, keyframe=...) at /home/wolthera/krita/src/libs/image/kis_keyframe_channel.cpp:304
#13 0x00007f2374b59091 in KisKeyframeChannel::replaceKeyframeAt (this=0x6030032ea9b0, time=1, newKeyframe=...) at /home/wolthera/krita/src/libs/image/kis_keyframe_channel.cpp:288
#14 0x00007f2374b65bac in KisReplaceKeyframeCommand::redo (this=0x608000638ea0) at /home/wolthera/krita/src/libs/image/kis_keyframe_commands.cpp:14
#15 0x00007f2374b55b05 in KisKeyframeChannel::insertKeyframe (this=0x6030032ea9b0, time=1, copySrc=..., parentCommand=0x6040004beed0) at /home/wolthera/krita/src/libs/image/kis_keyframe_channel.cpp:145
#16 0x00007f2374b55172 in KisKeyframeChannel::addKeyframe (this=0x6030032ea9b0, time=1, parentCommand=0x6040004beed0) at /home/wolthera/krita/src/libs/image/kis_keyframe_channel.cpp:125
#17 0x00007f231c91feec in KisAnimationUtils::<lambda()>::operator()(void) (__closure=0x603002710c30) at /home/wolthera/krita/src/plugins/dockers/animation/kis_animation_utils.cpp:100
#18 0x00007f231c924cd9 in std::_Function_handler<KUndo2Command*(), KisAnimationUtils::createKeyframeCommand(KisImageSP, KisNodeSP, const QString&, int, bool, KUndo2Command*)::<lambda()> >::_M_invoke(const std::_Any_data &) (__functor=...) at /usr/include/c++/7/bits/std_function.h:302
#19 0x00007f236c7b7c30 in std::function<KUndo2Command* ()>::operator()() const (this=0x60b00269d988) at /usr/include/c++/7/bits/std_function.h:706
#20 0x00007f236c7b64d9 in KisCommandUtils::LambdaCommand::populateChildCommands (this=0x60b00269d940) at /home/wolthera/krita/src/libs/command/kis_command_utils.cpp:85
#21 0x00007f236c7b61d7 in KisCommandUtils::AggregateCommand::redo (this=0x60b00269d940) at /home/wolthera/krita/src/libs/command/kis_command_utils.cpp:36
#22 0x00007f236c79ba36 in KUndo2Command::redo (this=0x604001e16350) at /home/wolthera/krita/src/libs/command/kundo2stack.cpp:238
#23 0x00007f23745bc435 in KisStrokeStrategyUndoCommandBased::executeCommand (this=0x60f000097030, command=..., undo=false) at /home/wolthera/krita/src/libs/image/kis_stroke_strategy_undo_command_based.cpp:73
#24 0x00007f23745bd536 in KisStrokeStrategyUndoCommandBased::doStrokeCallback (this=0x60f000097030, data=0x6040018975d0) at /home/wolthera/krita/src/libs/image/kis_stroke_strategy_undo_command_based.cpp:118
#25 0x00007f23745bf022 in SimpleStrokeJobStrategy::run (this=0x603002709f10, data=0x6040018975d0) at /home/wolthera/krita/src/libs/image/kis_simple_stroke_strategy.cpp:51
#26 0x00007f23745d47fd in KisStrokeJob::run (this=0x60300270a450) at /home/wolthera/krita/src/libs/image/kis_stroke_job.h:44
#27 0x00007f2374c47ff1 in KisUpdateJobItem::run (this=0x60c001cbfc40) at /home/wolthera/krita/build/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../src/libs/image/kis_update_job_item.h:91
#28 0x00007f2371c10352 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#29 0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#30 0x00007f2370bae6db in start_thread (arg=0x7f2301294700) at pthread_create.c:463
#31 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f2302296700 (LWP 26249)):
#0  0x00007f2370bb4ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f2302295b80, expected=0, futex_word=0x608000d3e0f0) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f2302295c40, mutex=0x608000d3e0a0, cond=0x608000d3e0c8) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x608000d3e0c8, mutex=0x608000d3e0a0, abstime=0x7f2302295c40) at pthread_cond_wait.c:667
#3  0x00007f2371c12ac6 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f2371c12e25 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f2371c105dd in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f2370bae6db in start_thread (arg=0x7f2302296700) at pthread_create.c:463
#8  0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f232b516700 (LWP 3682)):
#0  0x00007f2367b31c20 in g_ptr_array_set_size () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f2367b5e989 in g_main_context_prepare () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f2367b5f46b in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f2367b5f64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f2371e4115b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f2371de264a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f2371c0a41a in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2370bae6db in start_thread (arg=0x7f232b516700) at pthread_create.c:463
#9  0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f232133f700 (LWP 3665)):
#0  0x00007f23712e20b4 in __GI___libc_read (fd=23, buf=0x7f232133eaa0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f237d917fd0 in ?? () from /usr/lib/x86_64-linux-gnu/libasan.so.4
#2  0x00007f2367ba3cd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f2367b5f027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f2367b5f4e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f2367b5f64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f2371e4115b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f2371de264a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0a41a in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f235425b1c6 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#10 0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f2370bae6db in start_thread (arg=0x7f232133f700) at pthread_create.c:463
#12 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f2325af6700 (LWP 3664)):
#0  0x00007f23712e20b4 in __GI___libc_read (fd=22, buf=0x7f2325af5af0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f237d917fd0 in ?? () from /usr/lib/x86_64-linux-gnu/libasan.so.4
#2  0x00007f2367ba3cd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f2367b5f027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f2367b5f4e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f2367b5f64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f2371e4115b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f2371de264a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0a41a in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f2353d962e5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#10 0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f2370bae6db in start_thread (arg=0x7f2325af6700) at pthread_create.c:463
#12 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f23252f5700 (LWP 3643)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f2371c0e580 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f2371c0e3f2 in QSemaphore::tryAcquire(int, int) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f237425e4ab in KisTileDataSwapper::waitForWork (this=0x7f23754bb940 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at /home/wolthera/krita/src/libs/image/tiles3/swap/kis_tile_data_swapper.cpp:86
#4  0x00007f237425e4c6 in KisTileDataSwapper::run (this=0x7f23754bb940 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at /home/wolthera/krita/src/libs/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#5  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f2370bae6db in start_thread (arg=0x7f23252f5700) at pthread_create.c:463
#7  0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f2319298700 (LWP 3633)):
#0  0x00007f23712e6bf9 in __GI___poll (fds=0x60200023b430, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f237d905701 in poll () from /usr/lib/x86_64-linux-gnu/libasan.so.4
#2  0x00007f2367b5f539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f2367b5f64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f2371e4115b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f2371de264a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f2371c0a41a in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2370bae6db in start_thread (arg=0x7f2319298700) at pthread_create.c:463
#9  0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f235715c700 (LWP 3504)):
#0  0x00007f2370bb49f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x614000007d08) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x614000007cb8, cond=0x614000007ce0) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x614000007ce0, mutex=0x614000007cb8) at pthread_cond_wait.c:655
#3  0x00007f234cf7db1b in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f234cf7d847 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f2370bae6db in start_thread (arg=0x7f235715c700) at pthread_create.c:463
#6  0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f234bcba700 (LWP 3503)):
#0  0x00007f23712e6bf9 in __GI___poll (fds=0x7f234bcb9c38, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f237d905701 in poll () from /usr/lib/x86_64-linux-gnu/libasan.so.4
#2  0x00007f23668cb747 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f23668cd36a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#4  0x00007f23584a532a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#5  0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f2370bae6db in start_thread (arg=0x7f234bcba700) at pthread_create.c:463
#7  0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f234fbe5700 (LWP 3493)):
#0  0x00007f23712e20b4 in __GI___libc_read (fd=7, buf=0x7f234fbe4ae0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f237d917fd0 in ?? () from /usr/lib/x86_64-linux-gnu/libasan.so.4
#2  0x00007f2367ba3cd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f2367b5f027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f2367b5f4e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f2367b5f64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f2371e4115b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f2371de264a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f2371c0a41a in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f2369266015 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#10 0x00007f2371c0bbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f2370bae6db in start_thread (arg=0x7f234fbe5700) at pthread_create.c:463
#12 0x00007f23712f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f237ea35880 (LWP 3487)):
#0  0x00007f23712e6bf9 in __GI___poll (fds=0x7ffc9325deb8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f237d905701 in poll () from /usr/lib/x86_64-linux-gnu/libasan.so.4
#2  0x00007f23668cb747 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f23668cbe35 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#4  0x00007f23668cc0d7 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#5  0x00007f23668cd105 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#6  0x00007f23668cd180 in xcb_wait_for_reply () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#7  0x00007f235849f8c0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#8  0x00007f235849f9ec in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#9  0x00007f23723b9fe8 in QCursor::pos(QScreen const*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#10 0x00007f2372e97fa9 in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#11 0x00007f2372e9c8f5 in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#12 0x00007f231b6aac52 in NodeView::paintEvent (this=0x6060019b69e0, event=0x7ffc9325f970) at /home/wolthera/krita/src/plugins/dockers/layerdocker/NodeView.cpp:460
#13 0x00007f2372c1a838 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#14 0x00007f2372cbcd1e in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#15 0x00007f2372e33c73 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#16 0x00007f2372e9d80c in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#17 0x00007f231b6a7bc3 in NodeView::viewportEvent (this=0x6060019b69e0, e=0x7ffc9325f970) at /home/wolthera/krita/src/plugins/dockers/layerdocker/NodeView.cpp:304
#18 0x00007f2371de40ad in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#19 0x00007f2372bda815 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#20 0x00007f2372be1dd0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#21 0x00007f2378ddff3d in KisApplication::notify (this=0x7ffc93265880, receiver=0x60400106cd10, event=0x7ffc9325f970) at /home/wolthera/krita/src/libs/ui/KisApplication.cpp:639
#22 0x00007f2371de4328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#23 0x00007f2372c13405 in QWidgetPrivate::sendPaintEvent(QRegion const&) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#24 0x00007f2372c13bdd in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#25 0x00007f2372c14840 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#26 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#27 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f2372c135ce in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#29 0x00007f2372c14840 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#30 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#31 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#34 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#35 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#36 0x00007f2372c135ce in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#37 0x00007f2372c14840 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#38 0x00007f2372c135ce in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#39 0x00007f2372c14840 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#40 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#41 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#42 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#43 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#44 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#45 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#46 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#47 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#48 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#49 0x00007f2372c149c9 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#50 0x00007f2372c135ce in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#51 0x00007f2372bea326 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#52 0x00007f2372bea565 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#53 0x00007f2372c0293f in QWidgetPrivate::syncBackingStore() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#54 0x00007f2372c1a9a8 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#55 0x00007f2372d23030 in QMainWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#56 0x00007f2373a20126 in KMainWindow::event (this=0x60c0002710c0, ev=0x603001729f00) at /home/wolthera/krita/src/libs/widgetutils/xmlgui/kmainwindow.cpp:784
#57 0x00007f2373abb38f in KXmlGuiWindow::event (this=0x60c0002710c0, ev=0x603001729f00) at /home/wolthera/krita/src/libs/widgetutils/xmlgui/kxmlguiwindow.cpp:125
#58 0x00007f2372bda83c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#59 0x00007f2372be1dd0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#60 0x00007f2378ddff3d in KisApplication::notify (this=0x7ffc93265880, receiver=0x60c0002710c0, event=0x603001729f00) at /home/wolthera/krita/src/libs/ui/KisApplication.cpp:639
#61 0x00007f2371de4328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#62 0x00007f2371de6e87 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#63 0x00007f2371e41b23 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#64 0x00007f2367b5f387 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#65 0x00007f2367b5f5c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#66 0x00007f2367b5f64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007f2371e4113f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#68 0x00007f2371de264a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#69 0x00007f2371deb800 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#70 0x000055c405586582 in main (argc=1, argv=0x7ffc93265a18) at /home/wolthera/krita/src/krita/main.cc:481

Possible duplicates by query: bug 405487, bug 404741, bug 404521, bug 404179, bug 402494.

Reported using DrKonqi
Comment 1 Antti Savolainen 2019-04-29 12:33:31 UTC
I'm unable to reproduce this. Is there more to this crash than what I've done in the video? Do you have something extra in the scenes? Any hints would be appreciated.

https://youtu.be/RHP2O5nZi9A
Comment 2 wolthera 2019-04-29 13:06:52 UTC
It might be caused by this being an 'address sanitizer' build, so I (a Krita developer), would prefer a Krita developer to take a look at the backtrace to see if something can be done.

Thanks for your concern however :)
Comment 3 etene 2019-04-30 09:48:04 UTC
I've been having what I believe to be the same bug (i.e. the same assertion fails) using a debug build of the Debian package in testing.
I'm new to reporting bugs here and I couldn't get drkonqi to work, so tell me if there is missing info. I have the core dump.

Krita version: 4.1.7.101 (built with debug symbols from Debian source package)
Operating system: Debian buster/sid, Linux 4.19.28

Steps to reproduce:
- Open an animation with frames
- select some frames
- drag & drop them around
- sometimes it crashes

Backtrace:

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007f612d7e1535 in __GI_abort () at abort.c:79
#2  0x00007f612db9f9a7 in QMessageLogger::fatal(char const*, ...) const () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f612ec5fd6f in kis_assert_common (assertion=0x7f612ca1bf84 "m_frames.contains(frameId)", 
    file=0x7f612ca1bee8 "/home/etienne/perso/krita/krita-4.1.7+dfsg/libs/image/kis_paint_device.cc", line=466, throwException=false, isIgnorable=false)
    at ./libs/global/kis_assert.cpp:90
#4  0x00007f612ec60087 in kis_assert_recoverable (assertion=0x7f612ca1bf84 "m_frames.contains(frameId)", 
    file=0x7f612ca1bee8 "/home/etienne/perso/krita/krita-4.1.7+dfsg/libs/image/kis_paint_device.cc", line=466) at ./libs/global/kis_assert.cpp:103
#5  0x00007f612c8e565a in KisPaintDevice::Private::currentFrameData (this=0x561530be56a0) at ./libs/image/kis_paint_device.cc:466
#6  0x00007f612c8e57ea in KisPaintDevice::Private::currentNonLodData (this=0x561530be56a0) at ./libs/image/kis_paint_device.cc:485
#7  0x00007f612c8e5a9e in KisPaintDevice::Private::currentData (this=0x561530be56a0) at ./libs/image/kis_paint_device.cc:519
#8  0x00007f612c8e3898 in KisPaintDevice::Private::colorSpace (this=0x561530be56a0) at ./libs/image/kis_paint_device.cc:116
#9  0x00007f612c8dfb54 in KisPaintDevice::colorSpace (this=0x561530be5ba0) at ./libs/image/kis_paint_device.cc:1976
#10 0x00007f612c8dc294 in KisPaintDevice::defaultPixel (this=0x561530be5ba0) at ./libs/image/kis_paint_device.cc:1463
#11 0x00007f612c8e7031 in KisPaintDevice::Private::KisPaintDeviceStrategy::extent (this=0x561530be5c70) at ./libs/image/kis_paint_device_strategies.h:55
#12 0x00007f612c8db98d in KisPaintDevice::extent (this=0x561530be5ba0) at ./libs/image/kis_paint_device.cc:1207
#13 0x00007f612c6cb840 in KisPainter::Private::tryReduceSourceRect (this=0x7f60ec0008d0, srcDev=0x561530be5ba0, srcRect=0x7f6105d8d930, srcX=0x7f6105d8d8a4, 
    srcY=0x7f6105d8d8a0, srcWidth=0x7f6105d8d9a0, srcHeight=0x7f6105d8d9a8, dstX=0x7f6105d8d8b4, dstY=0x7f6105d8d8b0) at ./libs/image/kis_painter.cc:463
#14 0x00007f612c6ce38e in KisPainter::bitBltImpl<false> (this=0x7f6105d8db60, dstX=0, dstY=0, srcDev=..., srcX=0, srcY=0, srcWidth=74, srcHeight=74)
    at ./libs/image/kis_painter.cc:641
#15 0x00007f612c6ba141 in KisPainter::bitBlt (this=0x7f6105d8db60, dstX=0, dstY=0, srcDev=..., srcX=0, srcY=0, srcWidth=74, srcHeight=74)
    at ./libs/image/kis_painter.cc:773
#16 0x00007f612c6ba242 in KisPainter::bitBlt (this=0x7f6105d8db60, pos=..., srcDev=..., srcRect=...) at ./libs/image/kis_painter.cc:779
#17 0x00007f612c860ccb in KisLayerProjectionPlane::apply (this=0x561530be59f0, painter=0x7f6105d8db60, rect=...)
    at ./libs/image/kis_layer_projection_plane.cpp:99
#18 0x00007f612c7f4a92 in KisAsyncMerger::compositeWithProjection (this=0x561530bb6f08, leaf=..., rect=...) at ./libs/image/kis_async_merger.cpp:350
#19 0x00007f612c7efccc in KisAsyncMerger::startMerge (this=0x561530bb6f08, walker=..., notifyClones=true) at ./libs/image/kis_async_merger.cpp:274
#20 0x00007f612c9eed4e in KisUpdateJobItem::runMergeJob (this=0x561530bb6ec0)
    at ./obj-x86_64-linux-gnu/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../libs/image/kis_update_job_item.h:117
#21 0x00007f612c9eeb99 in KisUpdateJobItem::run (this=0x561530bb6ec0)
    at ./obj-x86_64-linux-gnu/libs/image/kritaimage_autogen/EWIEGA46WW/../../../../../libs/image/kis_update_job_item.h:85
#22 0x00007f612dbd9021 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#23 0x00007f612dbe0aa7 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#24 0x00007f612b3cefa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#25 0x00007f612d8b882f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Comment 4 Halla Rempt 2019-05-09 09:27:06 UTC
Yes, that's the same assert. It's quite weird though, because these asserts shouldn't be visible in distribution builds.
Comment 5 etene 2019-05-14 07:38:43 UTC
If that can be of any use:

I built it from the Debian package sources in order to get a useable backtrace, since there are no debug symbols for Krita in the Debian repositories. I don't know if that counts as a distribution build ?

I used

DEB_BUILD_OPTIONS="nostrip noopt parallel=8" fakeroot apt-get -b source krita

and installed the resulting .deb package.


Would it be useful if I built it without the asserts and/or from the Krita repository and tried to reproduce ?
Comment 6 Dmitry Kazakov 2019-05-16 09:50:05 UTC
Git commit db811bc82a3a067bedcbaddceb149f05c5d5bf82 by Dmitry Kazakov.
Committed on 16/05/2019 at 09:49.
Pushed by dkazakov into branch 'master'.

Fix assert when manipulating animation frames

Every frame add/move/delete command issues canvas updates. We shouldn't
let these updates to run until all manipulations with m_frames are
finished. Otherwise there will be non-thread-safe access to frames
storage.

M  +3    -1    plugins/dockers/animation/kis_animation_curves_model.cpp
M  +6    -2    plugins/dockers/animation/kis_animation_utils.cpp
M  +5    -2    plugins/dockers/animation/kis_time_based_item_model.cpp
M  +9    -3    plugins/dockers/animation/timeline_frames_model.cpp

https://invent.kde.org/kde/krita/commit/db811bc82a3a067bedcbaddceb149f05c5d5bf82
Comment 7 Halla Rempt 2019-05-17 08:13:00 UTC
Git commit 139c89282078be6e65c2e44650abacd0f76c2ec6 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 17/05/2019 at 08:12.
Pushed by rempt into branch 'krita/4.2'.

Fix assert when manipulating animation frames

Every frame add/move/delete command issues canvas updates. We shouldn't
let these updates to run until all manipulations with m_frames are
finished. Otherwise there will be non-thread-safe access to frames
storage.

M  +3    -1    plugins/dockers/animation/kis_animation_curves_model.cpp
M  +6    -2    plugins/dockers/animation/kis_animation_utils.cpp
M  +5    -2    plugins/dockers/animation/kis_time_based_item_model.cpp
M  +9    -3    plugins/dockers/animation/timeline_frames_model.cpp

https://invent.kde.org/kde/krita/commit/139c89282078be6e65c2e44650abacd0f76c2ec6